> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the Ledger Statement Report

> **Scopes:** `report:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/reports/ledger-statement/{ledger_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/reports/ledger-statement/{ledger_id}:
    get:
      tags:
        - Reports
      summary: Retrieve the Ledger Statement Report
      description: '**Scopes:** `report:read`'
      operationId: get_ledger_statement
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The ID of the Business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The ID of the Business
        - name: ledger_id
          in: path
          required: true
          schema:
            type: string
            format: ldg_string
            title: Ledger Id
            description: The ID of the Ledger
            examples:
              - ldg_WQMDNUHpBThYSNh4AprDBo
          description: The ID of the Ledger
        - name: basis
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/ReportBasis'
            description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
            default: modified_cash
          description: Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
        - name: start_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The start date (inclusive) in ISO-8601 format.
            examples:
              - '2025-01-01T00:00:00Z'
            title: Start Datetime
          description: The start date (inclusive) in ISO-8601 format.
        - name: end_datetime
          in: query
          required: true
          schema:
            type: string
            format: date-time
            description: The end date (inclusive) in ISO-8601 format.
            examples:
              - '2026-01-01T00:00:00Z'
            title: End Datetime
          description: The end date (inclusive) in ISO-8601 format.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LedgerStatementReport'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - report:read
components:
  schemas:
    ReportBasis:
      type: string
      enum:
        - accrual
        - modified_cash
      title: ReportBasis
    LedgerStatementReport:
      properties:
        data:
          $ref: '#/components/schemas/LedgerStatementDetails'
      type: object
      required:
        - data
      title: LedgerStatementReport
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    LedgerStatementDetails:
      properties:
        ledger_id:
          anyOf:
            - type: string
              format: ldg_string
            - type: 'null'
          title: Ledger Id
          description: The Ledger id
          examples:
            - ldg_WQMDNUHpBThYSNh4AprDBo
        start_datetime:
          type: string
          format: date-time
          title: Start Datetime
          description: The start date in ISO-8601 format.
          examples:
            - '2025-01-01T00:00:00Z'
        end_datetime:
          type: string
          format: date-time
          title: End Datetime
          description: The end date in ISO-8601 format.
          examples:
            - '2026-01-01T00:00:00Z'
        balances:
          $ref: '#/components/schemas/LedgerStatementBalances'
        entries:
          items:
            $ref: '#/components/schemas/LedgerStatementJournalEntry'
          type: array
          title: Entries
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - start_datetime
        - end_datetime
        - balances
        - entries
        - pagination
      title: LedgerStatementDetails
    LedgerStatementBalances:
      properties:
        all_time_balance:
          type: number
          title: All Time Balance
          description: The all-time ledger balance
          examples:
            - 8150.5
        range_balance:
          type: number
          title: Range Balance
          description: The ledger balance based on the given datetime range
          examples:
            - 2387.56
      type: object
      required:
        - all_time_balance
        - range_balance
      title: LedgerStatementBalances
    LedgerStatementJournalEntry:
      properties:
        id:
          type: string
          format: je_string
          title: Id
          description: The ID of the Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business that is associated with the Journal Entry
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Journal Entry was
            created from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        datetime:
          type: string
          format: date-time
          title: Datetime
          description: The datetime for the journal entry
        description:
          type: string
          title: Description
          description: The original description of the Journal Entry
          examples:
            - HomeDepot purchase
        clean_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Clean Description
          description: A more human-readable version of the description
          examples:
            - HomeDepot purchase
        line_entries:
          items:
            $ref: '#/components/schemas/LineEntryPublic'
          type: array
          title: Line Entries
          description: The Line Entries for this Journal Entry
      type: object
      required:
        - id
        - business_id
        - transaction_id
        - datetime
        - description
        - clean_description
        - line_entries
      title: LedgerStatementJournalEntry
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    LineEntryPublic:
      properties:
        ledger_id:
          type: string
          format: ldg_string
          title: Ledger Id
          description: The ID of the Ledger associated with the Line Entry
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        description:
          type: string
          maxLength: 512
          title: Description
          description: The line entry description
          examples:
            - HomeDepot purchase
        debit_credit:
          $ref: '#/components/schemas/DebitCredit'
          description: Indicates whether this is a debit or credit line
          examples:
            - debit
        amount:
          type: number
          title: Amount
          description: >-
            The line amount in decimal dollar cents, and it must always be
            positive
          examples:
            - '89.23'
        id:
          type: string
          format: le_string
          title: Id
          description: The ID of the Line Entry
          examples:
            - le_GA6EG2qFxA97NZHtxeLPUy
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the parent Journal Entry
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        transaction_id:
          anyOf:
            - type: string
              format: txn_string
            - type: 'null'
          title: Transaction Id
          description: >-
            The ID of the associated Transaction if the Line Entry was created
            from a Transaction
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
        tag_value_ids:
          items:
            type: string
            format: tv_string
          type: array
          title: Tag Value Ids
          description: >-
            [Deprecated] The IDs of the tag values associated with the Line
            Entry. This field is still supported, but it will be removed in a
            future version of the API. Please use Journal Entry Tags instead.
          examples:
            - - tv_Ns6rRRLYVZPh4cVB7MDby5
      type: object
      required:
        - ledger_id
        - description
        - debit_credit
        - amount
        - id
        - journal_entry_id
      title: LineEntryPublic
    DebitCredit:
      type: string
      enum:
        - debit
        - credit
      title: DebitCredit
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````